var paymentform_component = Vue.extend({
  template: '#paymentform-vue-template',
  props: ["payment"],
  computed: {

    // username_id: function() {
    //   if (parseInt(this.invoice.joomla_user_id)) return this.invoice.username + " [" + this.invoice.joomla_user_id + "]";else return "";
    // },
    // status_name: function() {
    //   return Joomla.JText._(this.invoice.getComputedStatus());
    // }

  },
  methods: {

    togglePublish: function(value) {
      this.payment.payment_status = value;
    }

  },
  mounted: function() {
  }
});
